* PACKAGE ASETC  !" 共通 定数(座標値)
*
*"  [HIS] 90/10/15(numaguti)
*
*
***********************************************************************
      SUBROUTINE SETCOR     !"  モデル座標定数の計算 
     O         ( ALON  , DLON  ,
     O           ALAT  , DLAT  ,
     O           SIG   , DSIG  ,
     O           SIGM  , DSIGM  )
*
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数, 波数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#endif
*
      REAL       ALON  ( IDIM )              !" 経度
      REAL       DLON  ( IDIM )              !" 経度荷重
      REAL       ALAT  ( JDIM )              !" 緯度
      REAL       DLAT  ( JDIM )              !" 緯度荷重
      REAL       SIG   ( KMAX )              !" σレベル(整数)
      REAL       SIGM  (KMAX+1)              !" σレベル(半整数)
      REAL       DSIG  ( KMAX )              !" Δσ(整数)
      REAL       DSIGM (KMAX+1)              !" Δσ(半整数)
*
#ifdef SYS_IBMS
      INCLUDE   (ZHDIM)                      !" 文字列文字数
#else
#include        "zhdim.F"                    !" 文字列文字数
#endif
      CHARACTER  HALON  *(NCC)               !" 経度軸名称
      CHARACTER  HALAT  *(NCC)               !" 緯度軸名称
      CHARACTER  HASIG  *(NCC)               !" 鉛直軸名称：整数
      CHARACTER  HASIGM *(NCC)               !" 鉛直軸名称：半整数
*
*"         < 1. 座標値のセット >
*
      CALL SETLON
     O         ( ALON  , DLON  , HALON ,
     D           IMAX  , IDIM            )
*
      CALL SETLAT
     O         ( ALAT  , DLAT  , HALAT ,
     D           JMAX  , JDIM            )
*
      CALL SETSIG
     O         ( SIG   , DSIG  , HASIG ,
     O           SIGM  , DSIGM , HASIGM,
     D           KMAX  , KMAX            )
*
*"         < 2. 座標系の設定 >
*
      CALL HSCORD
     I         ( HALON , HALAT , HASIG , HASIGM,
     I           ALON  , ALAT  , SIG   , SIGM  ,
     I           DLON  , DLAT  , DSIG  , DSIGM  )
*
      RETURN
*======================================================================
      ENTRY      STNCOR      !"  モデル座標名の設定 
*
      CALL STNLON
     O         ( HALON ,
     I           IMAX   )
*
      CALL STNLAT
     O         ( HALAT ,
     I           JMAX   )
*
      CALL STNSIG
     O         ( HASIG ,
     O           HASIGM,
     I           KMAX   )
*
*"         < 2. 座標系の設定 >
*
      CALL HSCORN
     I         ( HALON , HALAT , HASIG , HASIGM )
*
      RETURN
      END
